<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__tcpwm__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_tcpwm_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__tcpwm__t_1afcbafe1118309449887b2d1e71589be8" kind="variable" mutable="no" prot="public" static="no">
        <type>TCPWM_Type *</type>
        <definition>TCPWM_Type* cyhal_tcpwm_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="151" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="151" />
      </memberdef>
      <memberdef id="structcyhal__tcpwm__t_1a8ccce14a59d1387736d5e28469a43af1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_tcpwm_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="152" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="152" />
      </memberdef>
      <memberdef id="structcyhal__tcpwm__t_1a4c8ba4a2754b8447ce97969933baff39" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_tcpwm_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="153" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="153" />
      </memberdef>
      <memberdef id="structcyhal__tcpwm__t_1a21f9fdb1ebd75cc3a229e6b8359d7277" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_tcpwm_t::dedicated_clock</definition>
        <argsstring />
        <name>dedicated_clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="154" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="154" />
      </memberdef>
      <memberdef id="structcyhal__tcpwm__t_1a61e96b14af811d1664fdee09caad9f12" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_tcpwm_t::clock_hz</definition>
        <argsstring />
        <name>clock_hz</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="155" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="155" />
      </memberdef>
      <memberdef id="structcyhal__tcpwm__t_1a4ca7850ec02d62ce98b20273a040cab0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_tcpwm_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="156" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="156" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Shared data between timer/counter and PWM. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific content of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="156">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="154">
        <label>cyhal_tcpwm_t</label>
        <link refid="structcyhal__tcpwm__t" />
        <childnode refid="155" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="156" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="155">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="160" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="149" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="149" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__tcpwm__t_1afcbafe1118309449887b2d1e71589be8" virt="non-virtual"><scope>cyhal_tcpwm_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__tcpwm__t_1a4ca7850ec02d62ce98b20273a040cab0" virt="non-virtual"><scope>cyhal_tcpwm_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__tcpwm__t_1a4c8ba4a2754b8447ce97969933baff39" virt="non-virtual"><scope>cyhal_tcpwm_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__tcpwm__t_1a61e96b14af811d1664fdee09caad9f12" virt="non-virtual"><scope>cyhal_tcpwm_t</scope><name>clock_hz</name></member>
      <member prot="public" refid="structcyhal__tcpwm__t_1a21f9fdb1ebd75cc3a229e6b8359d7277" virt="non-virtual"><scope>cyhal_tcpwm_t</scope><name>dedicated_clock</name></member>
      <member prot="public" refid="structcyhal__tcpwm__t_1a8ccce14a59d1387736d5e28469a43af1" virt="non-virtual"><scope>cyhal_tcpwm_t</scope><name>resource</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>